aboutsummaryrefslogtreecommitdiff
path: root/desktop/tango-icon-theme/tango-icon-theme.SlackBuild
diff options
context:
space:
mode:
authorMichael Wagner <lapinours@web.de>2010-05-11 14:03:47 +0200
committerRobby Workman <rworkman@slackbuilds.org>2010-05-11 14:03:47 +0200
commit1159643f0305d048149e87c67bda012239216688 (patch)
tree182757525285c79fb343e3f50eb21faca5dd084c /desktop/tango-icon-theme/tango-icon-theme.SlackBuild
parentc58610211671238bb73eb59a1f9600185fdf2534 (diff)
desktop/tango-icon-theme: Initial import
Diffstat (limited to 'desktop/tango-icon-theme/tango-icon-theme.SlackBuild')
-rw-r--r--desktop/tango-icon-theme/tango-icon-theme.SlackBuild62
1 files changed, 62 insertions, 0 deletions
diff --git a/desktop/tango-icon-theme/tango-icon-theme.SlackBuild b/desktop/tango-icon-theme/tango-icon-theme.SlackBuild
new file mode 100644
index 0000000000000..b629bc17b5a41
--- /dev/null
+++ b/desktop/tango-icon-theme/tango-icon-theme.SlackBuild
@@ -0,0 +1,62 @@
+#!/bin/sh
+#
+# Slackware Build Script for Tango Icon Theme
+# (C) 2007 Michael Wagner <lapinours@web.de>
+#
+# This program is free software; you can redistribute it and/or modify it
+# under the terms of the GNU General Public License as published by the
+# Free Software Foundation; either version 2 of the License, or (at your
+# option) any later version.
+#
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+# Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+#
+
+# Modified by the SlackBuilds.org project
+
+PRGNAM=tango-icon-theme
+VERSION=0.8.0
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="AUTHORS COPYING ChangeLog INSTALL README"
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root.root .
+chmod -R a-s,u+rw,go-w .
+
+./configure \
+ --prefix=/usr \
+ --program-prefix="" \
+ || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+chmod 644 $PKG/usr/doc/$PRGNAM-$VERSION/*
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -p -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz